package com.zehong.system.service;

import java.util.List;
import com.zehong.system.domain.TLpgDeliveryRecord;

/**
 * 液化石油配送记录Service接口
 * 
 * @author zehong
 * @date 2024-07-22
 */
public interface ITLpgDeliveryRecordService 
{
    /**
     * 查询液化石油配送记录
     * 
     * @param deliveryRecordId 液化石油配送记录ID
     * @return 液化石油配送记录
     */
    public TLpgDeliveryRecord selectTLpgDeliveryRecordById(Long deliveryRecordId);

    /**
     * 查询液化石油配送记录列表
     * 
     * @param tLpgDeliveryRecord 液化石油配送记录
     * @return 液化石油配送记录集合
     */
    public List<TLpgDeliveryRecord> selectTLpgDeliveryRecordList(TLpgDeliveryRecord tLpgDeliveryRecord);

    /**
     * 新增液化石油配送记录
     * 
     * @param tLpgDeliveryRecord 液化石油配送记录
     * @return 结果
     */
    public int insertTLpgDeliveryRecord(TLpgDeliveryRecord tLpgDeliveryRecord);

    /**
     * 修改液化石油配送记录
     * 
     * @param tLpgDeliveryRecord 液化石油配送记录
     * @return 结果
     */
    public int updateTLpgDeliveryRecord(TLpgDeliveryRecord tLpgDeliveryRecord);

    /**
     * 批量删除液化石油配送记录
     * 
     * @param deliveryRecordIds 需要删除的液化石油配送记录ID
     * @return 结果
     */
    public int deleteTLpgDeliveryRecordByIds(Long[] deliveryRecordIds);

    /**
     * 删除液化石油配送记录信息
     * 
     * @param deliveryRecordId 液化石油配送记录ID
     * @return 结果
     */
    public int deleteTLpgDeliveryRecordById(Long deliveryRecordId);
}
